Bug 846351 - unify ssl options for client ssl connection to the broker
unify ssl options for client ssl connection to the broker
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ernie
MRG Quality Engineering
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2012-08-07 10:31 EDT by Petr Matousek
Modified: 2013-02-27 06:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-08-07 10:31:51 EDT
Description of problem:

As a result of Bug 825078, management tools use PEM certificate to establish ssl communication with the broker, c++ clients uses environment variables to set-up client ssl options.

I believe it would be valuable to use the same settings for the ssl connection establishment to the broker for all the clients.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:
C++ clients uses environmental variables to provide clients certificate.
Python management tools uses client PEM certificate file.

Expected results:
C++/python clients use the same way for ssl connection establishment.

Additional info:
Comment 1 Petr Matousek 2012-08-08 08:25:38 EDT
note: qmf-tool is the only one tool from qpid-tools package, that uses environmental variables like c++ clients do.
Comment 2 Petr Matousek 2012-08-08 08:29:08 EDT
component changed to qpid-tools.
Version: qpid-tools-0.14-5

Note You need to log in before you can comment on or make changes to this bug.